メインコンテンツへスキップ
GET
/
2
/
notes
/
search
/
notes_written
作成済みの Community Note を検索する
curl --request GET \
  --url https://api.x.com/2/notes/search/notes_written \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1146654567674912769",
      "post_id": "1346889436626259968",
      "info": {
        "classification": "misinformed_or_potentially_misleading",
        "misleading_tags": [
          "disputed_claim_as_fact"
        ],
        "text": "<string>",
        "trustworthy_sources": true
      },
      "status": "currently_rated_helpful",
      "test_result": {
        "evaluator_score_bucket": "<string>",
        "evaluator_type": "<string>"
      }
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "next_token": "<string>",
    "result_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

test_mode
boolean
必須

true の場合、呼び出し元がテスト用として作成したノートを返します。false の場合、呼び出し元が本番環境向けに作成したノートを返します。

pagination_token
string

次のコミュニティノート対象投稿のセットを取得するためのページネーション用トークンです。

max_results
integer<int32>
デフォルト:10

返す最大件数。

必須範囲: 1 <= x <= 100
note.fields
enum<string>[]

取得する Note フィールドをカンマ区切りで指定します。 Note オブジェクトで使用できるフィールドです。

Minimum array length: 1
利用可能なオプション:
id,
info,
status,
test_result
:
["id", "info", "status", "test_result"]

レスポンス

リクエストは成功しました。

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。

meta
object